import { Module } from ".";
/**
 * Compiles a list of Material Composer modules into a shader graph that
 * can be consumed by Shader Composer's `composeShader` function.
 *
 * @param modules A list of Material Composer modules (see `Module`)
 * @returns A shader root node that can be passed to `compileShader`
 */
export declare const compileModules: (modules: Module[]) => import("shader-composer").IUnit<"bool">;
