import { GradientStop, Input } from "shader-composer";
import { ModuleFactory } from "..";
export type GradientArgs = {
    /** The gradient, as defined by a list of vec3 gradient stops. */
    stops: GradientStop<"vec3">[];
    /** Contrast. Increase this above 1 to weigh the gradient towards its center. */
    contrast?: Input<"float">;
    /** Position within the gradient. This defaults to the vertex position on the Y axis. */
    position?: Input<"float">;
    /** Start of the range that the `position` value moves within. */
    start?: Input<"float">;
    /** End of the range that the `position` value moves within. */
    stop?: Input<"float">;
};
export declare const Gradient: ModuleFactory<GradientArgs>;
