import { Input } from "shader-composer";
import { ModuleFactory } from "..";
export type Space = "world" | "local" | "view";
type TranslateProps = {
    /** The offset to apply. */
    offset: Input<"vec3">;
    /** The offset vector's reference space. (Default: world) */
    space?: Space;
};
/**
 * Applies an offset to the vertex position. The user is expected to provide
 * the offset in the intended space; no further transformation is performed.
 */
export declare const Translate: ModuleFactory<TranslateProps>;
export {};
