'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _function = require('fp-ts/function');
var shaderComposer = require('shader-composer');

var Heat = function Heat(v, _ref) {
  var _ref$offset = _ref.offset,
    offset = _ref$offset === void 0 ? [0, 0, 0] : _ref$offset,
    _ref$scale = _ref.scale,
    scale = _ref$scale === void 0 ? 1 : _ref$scale,
    _ref$octaves = _ref.octaves,
    octaves = _ref$octaves === void 0 ? 5 : _ref$octaves,
    _ref$power = _ref.power,
    power = _ref$power === void 0 ? 1 : _ref$power;
  return _function.pipe(v, function (v) {
    return shaderComposer.Add(v, offset);
  }, function (v) {
    return shaderComposer.Mul(v, scale);
  }, function (v) {
    return shaderComposer.Turbulence3D(v, octaves);
  }, function (v) {
    return shaderComposer.Add(v, 0.5);
  }, function (v) {
    return shaderComposer.Clamp01(v);
  }, function (v) {
    return shaderComposer.Pow(v, power);
  });
};

exports.Heat = Heat;
