import { pipe } from 'fp-ts/function';
import { Add, Mul, Turbulence3D, Clamp01, Pow } from 'shader-composer';

var Heat = function Heat(v, _ref) {
  var _ref$offset = _ref.offset,
    offset = _ref$offset === void 0 ? [0, 0, 0] : _ref$offset,
    _ref$scale = _ref.scale,
    scale = _ref$scale === void 0 ? 1 : _ref$scale,
    _ref$octaves = _ref.octaves,
    octaves = _ref$octaves === void 0 ? 5 : _ref$octaves,
    _ref$power = _ref.power,
    power = _ref$power === void 0 ? 1 : _ref$power;
  return pipe(v, function (v) {
    return Add(v, offset);
  }, function (v) {
    return Mul(v, scale);
  }, function (v) {
    return Turbulence3D(v, octaves);
  }, function (v) {
    return Add(v, 0.5);
  }, function (v) {
    return Clamp01(v);
  }, function (v) {
    return Pow(v, power);
  });
};

export { Heat };
